Crypto++ 8.1 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
ClassNullRNG Class Reference

Random Number Generator that does not produce random numbers. More...

Inheritance diagram for ClassNullRNG:

## Public Member Functions
std::string | AlgorithmName () const
| The name of the generator. More...
byte | GenerateByte ()
| An implementation that throws NotImplemented.
unsigned int | GenerateBit ()
| An implementation that throws NotImplemented.
word32 | GenerateWord32 (word32 min, word32 max)
| An implementation that throws NotImplemented.
void | GenerateBlock (byte *output, size_t size)
| An implementation that throws NotImplemented.
void | GenerateIntoBufferedTransformation (BufferedTransformation &target, const std::string &channel, lword length)
| An implementation that throws NotImplemented.
void | IncorporateEntropy (const byte *input, size_t length)
| An implementation that throws NotImplemented.
bool | CanIncorporateEntropy () const
| An implementation that returns `false`.
void | DiscardBytes (size_t n)
| An implementation that does nothing.
void | Shuffle (IT begin, IT end)
| An implementation that does nothing.
Public Member Functions inherited from RandomNumberGenerator
template<class IT >
void | Shuffle (IT begin, IT end)
| Randomly shuffle the specified array. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm. More...

## Detailed Description

Random Number Generator that does not produce random numbers.

ClassNullRNG can be used for functions that require a RandomNumberGenerator but don't actually use it. The class throws NotImplemented when a generation function is called.

See also
  NullRNG()

Definition at line 360 of file cryptlib.cpp.

## Member Function Documentation

## ◆ AlgorithmName()

std::string ClassNullRNG::AlgorithmName | ( |  | ) | const
| inline virtual

The name of the generator.

Returns
  the string NullRNGs

Reimplemented from Algorithm.

Definition at line 365 of file cryptlib.cpp.

The documentation for this class was generated from the following file:

- cryptlib.cpp